* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
body,
html {
    overflow-x: visible !important;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0;
}

ul,
ul li {
    padding: 0;
    list-style: none;
    margin: 0;
}

a {
    text-decoration: none;
    transition: all 0.8s ease-in-out;
    cursor: pointer;
}

#Header {
    position: sticky;
    top: 0;
    background: #ffffff;
    z-index: 2;
    width: 100%;
    align-self: flex-start;
}

.mobile-view-navbar {
    display: none;
}

.top-nav-box {
    padding: 29px 0;
    box-shadow: 0px 0px 4px 0px #00000040;
}

.top-nav-box .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.nav-logo {
    width: 143px;
    height: 41px;
    margin: 0 !important;
    text-align: left;
}

.menu-with-auth {
    padding: 20px 0 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.menu-with-auth nav {
    display: flex;
}

#Header .list-car-btn {
    background: #b22f44 !important;
    padding: 11px 16px !important;
    border-radius: 10px !important;
    border: 1px solid #b22f44 !important;
    color: #ffffff !important;
    font:
        700 16px / 22px "Charter",
        serif !important;
    box-shadow: none !important;
    height: auto;
}

#Header .list-car-btn:hover {
    background: transparent !important;
    color: #b22f44 !important;
}

.links {
    display: flex;
    align-items: center;
    gap: 24px;
    position: relative;
}

.menu-links {
    position: relative;
}

.navbar-list-menu .menu-links a,
.menu-link {
    font:
        500 20px / 26px "Charter",
        serif !important;
    color: #000000;
}

.navbar-list-menu .menu-links:hover a,
.navbar-list-menu .menu-links.active a,
.menu-link {
    color: #6d0b5f !important;
}

.auth-buttons {
    display: flex;
    align-items: center;
    gap: 16px;
}

#Header .find-car-btn {
    font:
        600 16px / 22px "Charter",
        serif !important;
    padding: 10px 22px !important;
    border: 1px solid #1c1c1c !important;
    color: #1c1c1c !important;
    border-radius: 10px !important;
    text-transform: uppercase !important;
}

#Header .find-car-btn:hover {
    background: #1c1c1c;
    color: #ffffff !important;
}

.menu-links,
.has-submenu {
    position: relative;
}
.menu-links.dropdown:after {
    content: "";
    background: url(/assets/frontend/images/drop-down-icon.svg), no-repeat;
    width: 11px;
    height: 6px;
    position: absolute;
    top: 10px;
}

.menu-links.dropdown a {
    margin-right: 10px;
}
.has-submenu:after {
    content: "";
    background: url(/assets/frontend/images/drop-down-icon.svg), no-repeat;
    width: 11px;
    height: 6px;
    position: absolute;
    top: 13px;
    right: 10px;
    margin-left: 20px;
    transform: rotate(-90deg);
}

.navbar-list-menu .menu-links.dropdown li a {
    font:
        500 16px / 22px "Charter",
        sans-serif !important;
    color: #000000 !important;
    padding: 6px 13px !important;
    border-bottom: 0.5px dashed #d7d7d7;
    width: 100%;
}
.navbar-list-menu .menu-links.dropdown li a:hover {
    color: #6d0b5f !important;
}
.dropdown-menu {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    min-width: 100%;
    background: #fff;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.15);
    list-style: none;
    margin: 0;
    z-index: 999;
}

.dropdown:hover .dropdown-menu {
    display: block;
}

.dropdown-menu li {
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.dropdown-menu li a:hover {
    background: #f5f5f5;
}

.submenu {
    display: none;
    position: absolute;
    top: 0;
    left: 100%;
    list-style: none;
    margin: 0;
    background-color: #fff !important;
    border-radius: 0 0 0 0px !important;
    padding: 10px 25px !important;
    box-shadow: 0 12px 20px rgb(0 0 0 / 0.16);
    width: 500px;
    border-radius: 10px !important;
}

.has-megasubmenu:hover > .submenu {
    display: block;
}

.profile-dropdown {
    position: relative;
    display: inline-block;
    cursor: pointer;
    outline: none;
}

.user-details {
    display: flex;
    align-items: center;
    gap: 10px;
}

.nav-user-profile {
    width: 49px;
    height: 46px;
    border-radius: 10px;
}

.user-name-nav {
    font:
        600 16px / 22px "Urbanist",
        sans-serif;
    color: #000000;
    position: relative;
    padding-right: 20px;
}

.user-name-nav:after {
    content: "";
    position: absolute;
    top: 8px;
    right: 0;
    background: url(/assets/frontend/images/drop-down-icon.svg), no-repeat;
    width: 11px;
    height: 6px;
}
.profile-dropdown:focus-within .user-name-nav:after {
    transform: rotate(-180deg);
    transition: all 0.2s ease-in-out;
}
.profile-dropdown:focus-within .profile-menu {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.profile-menu {
    position: absolute;
    top: 110%;
    left: 0;
    background: #fff;
    border-radius: 10px;
    min-width: 176px;
    list-style: none;
    padding: 8px 0;
    margin: 0;
    opacity: 0;
    visibility: hidden;
    transform: translateY(6px);
    transition: all 0.2s ease;
    z-index: 100;
    box-shadow: 0px 0px 4px 0px #00000040;
}
.profile-menu li {
    font:
        400 16px / 22px "Urbanist",
        sans-serif;
    color: #757575;
    padding: 8px 16px;
    position: relative;
}

@media (max-width: 768px) {
    .main-menu-links-cards {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 16px;
    height: 100%;
    overflow-y: auto;
}
    .menu-link-card.main-profile {
        padding: 16px !important;
    }
    .menu-link-card {
    border: 1px solid #0000001A;
    background: #F9F9F9;
    padding: 6px 16px 16px;
    border-radius: 10px;
    width: 100%;
}
    .profile-box {
        display: flex;
        align-items: center;
        gap: 10px;
    }
    .main-menu-links-cards .profile-picture {
        width: 40px;
        height: 37px;
        border-radius: 5px;
    }
    .menu-link-card.main-profile .user-details {
        gap: 0;
        flex-direction: column;
    }
    .main-menu-links-cards .menu-link {
        font:
            500 16px / 22px "Urbanist",
            sans-serif !important;
        color: #000000;
    }
    .main-menu-links-cards .about-account {
        font:
            500 14px / 20px "Urbanist",
            sans-serif;
        color: #757575;
    }
    .menu-link-dropdown-head a {
        width: 100%;
    }
    .menu-link-dropdown {
        border-bottom: 0.5px dashed #d7d7d7;
    }
    .desktop-view-navbar {
        display: none;
    }

    .mobile-view-navbar {
        display: block;
    }

    .menu-link-dropdown-body {
        margin: 0 20px;
        max-height: 300px;
        overflow: auto;
        border: 0.5px solid #d7d7d7;
    }

    .nav-head-box,
    .nav-box-main,
    .nav-box-right {
        display: flex;
        align-items: center;
        gap: 16px;
        width: 100%;
    }

    .nav-box-main {
        justify-content: space-between;
    }

    .nav-box-right {
        gap: 10px;
        justify-content: end;
    }

    .auth-buttons .list-car-btn,
    .auth-buttons .find-car-btn {
        width: 50%;
        text-align: center;
    }

    .mobile-view-navbar .offcanvas-start {
        width: 100%;
        max-width: 400px;
    }

    .opened-nav-box {
        display: flex;
        align-items: center;
        gap: 10px;
        margin-bottom: 5px;
        border-bottom: 0.5px solid #00000020;
        padding: 20px;
    }

    .nav-logo {
        width: 105px;
        height: 40px;
    }

    .btn-close-btn {
        background: transparent;
        border: none;
    }

    .back-btn {
        width: 16px;
        height: 16px;
    }

    .menu-list-box .menu-link {
        display: block;
        padding: 10px 0;
        border-bottom: 0.5px dashed #d7d7d7;
        position: relative;
    }

    .menu-list-box .menu-link::after {
        content: "";
        position: absolute;
        background: url(/assets/frontend/images/drop-down-icon.svg), no-repeat;
        width: 11px;
        height: 6px;
        transform: rotate(-90deg);
        top: 18px;
        right: 20px;
    }

    .menu-link-card.logout .menu-list-box .menu-link::after {
        background: url(_../Images/logout.svg_), no-repeat;
        width: 15px;
        height: 15px;
        transform: rotate(0);
        top: 4px;
        right: 20px;
    }

    .menu-list-box .menu-link {
        display: block;
        padding: 11px 20px;
        border-bottom: 0.5px dashed #d7d7d7;
        position: relative;
        color: #000000 !important;
        font-size: 16px !important;
    }

    .menu-list-box .menu-link:last-child {
        border-bottom: none;
    }

    .auth-buttons {
        display: flex;
        align-items: center;
        gap: 16px;
        padding: 0 20px;
        margin: 14px 0 0;
    }

    #Header .list-car-btn {
        padding: 6px 10px !important;
        font:
            700 12px / 18px "Charter",
            serif !important;
    }
    #Header .auth-buttons .list-car-btn {
        padding: 11px 16px !important;
        font:
            700 16px / 22px "Charter",
            serif !important;
        box-shadow: none !important;
        height: auto;
    }
}
